Ayuntamiento de Manzanares

Portal Tributario

Buscador

Solución error de acceso y firma con AutoFirma 1.7.1

Descripción de la solución propuesta para la resolución de errores SAF_09 (PKIX) al intentar acceder o realizar firmas de documentos mediante AutoFirma 1.7.1

Ubicación

Error SAF_09 en https://tributos.manzanares.es

Descripción ampliada

Con el nuevo AutoFirma 1.7.1 el estado distribuye una versión de OpenJDK que no incluye el certificado intermedio utilizado en la publicación de la página https://tributos.manzanares.es

Este error no ocurría con la versión anterior de AutoFirma 1.6.5, ya que esta utilizaba el repositorio de la instalación Java del usuario.

Si eres un usuario avanzado puedes solucionar este problema incluyendo el certificado intermedio de RapidSSL denominado "RapidSSL TLS DV RSA Mixed SHA256 2020 CA-1" en el repositorio de certificados utilizado por AutoFirma 1.7.1. mediante la herramienta keytool incluida en las distribuciones de JDK de Oracle.

El comando para incluir dicho certificado en el repositorio de certificados es el siguiente:

keytool.exe -import -trustcacerts -alias rapidssl_raiz -file "ruta a certificado intermedio rapidssl" -keystore "C:\Program Files\AutoFirma\AutoFirma\jre\lib\security\cacerts"

De momento esta es la única forma de añadir certificados de confianza al repositorio de certificados utilizado por AutoFirma 1.7.1 ya que la aplicación no dispone de ninguna utilidad gráfica.

Si no eres un usuario avanzado, hasta que el desarrollador de AutoFirma pueda corregir el problema, la solución mas rápida es sustituir el fichero cacerts de la ruta "C:\Program Files\AutoFirma\AutoFirma\jre\lib\security\cacerts" por el suministrado en este enlace "Repositorio de certificados modificado con certificado intermedio" del apartado "Documentos relacionados".

Para probar si funciona la sustitución del fichero cacerts podemos intentar acceder mediante AutoFirma al Portal tributario: https://tributos.manzanares.es/

Documentos relacionados

Tipo de tramitación

En línea - No requiere autenticación